from rest_framework.permissions import BasePermission, SAFE_METHODS

class ReadOnly(BasePermission):
    """
    Yalnızca okuma işlemlerine izin verir.
    """
    def has_permission(self, request, view):
        # SAFE_METHODS: ('GET', 'HEAD', 'OPTIONS')
        return request.method in SAFE_METHODS